{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTOptionView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTOptionView.json",
  "name" : "TESTOptionView",
  "openMode" : "POPUPMODAL",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "OptionView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "NoTabForm",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/NoTabForm.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "无分页表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "选项表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "testname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "testid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "测试实体基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "测试实体名称",
          "codeName" : "testname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "testname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 50,
            "minLength" : 3,
            "name" : "testname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "rawitem2",
          "contentType" : "HTML",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "htmlContent" : "<p>&lt;h3&gt;aaaaaaaaaaaaaaa&lt;/h3&gt;</p>",
          "name" : "rawitem2",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "content" : "<p>&lt;h3&gt;aaaaaaaaaaaaaaa&lt;/h3&gt;</p>",
            "contentType" : "HTML",
            "name" : "rawitem2",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem1",
          "contentType" : "RAW",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "test直接内容拉",
            "contentType" : "RAW",
            "name" : "rawitem1",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "test直接内容拉",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem3",
          "contentType" : "VIDEO",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem3",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "VIDEO",
            "name" : "rawitem3",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "{\"mute\":true,\"autoplay\":true,\"replay\":true,\"showcontrols\":true}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem4",
          "contentType" : "DIVIDER",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem4",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "DIVIDER",
            "name" : "rawitem4",
            "rawContent" : "{\"contentPosition\":\"center\",\"html\":\"测试分割线\"}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "{\"contentPosition\":\"center\",\"html\":\"测试分割线\"}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem5",
          "contentType" : "INFO",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem5",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "INFO",
            "name" : "rawitem5",
            "rawContent" : "{\"title\":\"常规啦\",\"closeabled\":true,\"showIcon\":true}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "{\"title\":\"常规啦\",\"closeabled\":true,\"showIcon\":true}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem6",
          "contentType" : "WARNING",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem6",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "WARNING",
            "name" : "rawitem6",
            "rawContent" : "{\"title\":\"警告啦\",\"closeabled\":true,\"showIcon\":true}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "{\"title\":\"警告啦\",\"closeabled\":true,\"showIcon\":true}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem7",
          "contentType" : "ERROR",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem7",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "ERROR",
            "name" : "rawitem7",
            "rawContent" : "{\"title\":\"错误啦\",\"closeabled\":false,\"showIcon\":false}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "{\"title\":\"错误啦\",\"closeabled\":false,\"showIcon\":false}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "测试实体标识",
        "codeName" : "testid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "testid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "testid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "56A42EE5-6CFD-40FA-BCEA-B89C487C2A74",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "OptionViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "OptionViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "OptionView",
  "getPSDEViewId" : "CD06C116-15DE-453F-81BA-6168E46F159F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEOPTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体选项操作视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEOPTVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "4800c801dc989ce2e52232f5432e26b9",
  "modeltype" : "PSAPPDEVIEW"
}